#!/bin/sh
DIR_BIN="/usr/local/rav8/bin"
DIR_RC="/usr/local/rav8/rc"

# Kde2
if test -d /opt/kde2/; then
   	if test ! -d /opt/kde2/share/applnk/Applications/; then
		install -m 755 -o 0 -g 0 -d /opt/kde2/share/applnk/Applications/;
	fi
		install -m 644 -o 0 -g 0 $DIR_RC/ravlin8.desktop /opt/kde2/share/applnk/Applications/ravlin8.desktop
else
	if test -d /usr/share/applnk/Applications/; then
       	install -m 644 -o 0 -g 0 $DIR_RC/ravlin8.desktop /usr/share/applnk/Applications/ravlin8.desktop
	fi
fi
# end Kde2
  
# Kde
if test -d /opt/kde/; then
   	if test ! -d /opt/kde/share/applnk/Applications/; then
		install -m 755 -o 0 -g 0 -d /opt/kde/share/applnk/Applications/;
	fi
	install -m 644 -o 0 -g 0 $DIR_RC/ravlin8.desktop /opt/kde/share/applnk/Applications/ravlin8.desktop
fi
# end Kde

# Gnome
if test -d /opt/gnome/; then
	if test -d /opt/gnome/share/gnome/apps/Applications/; then
	    install -m 644 -o 0 -g 0 $DIR_RC/ravlin8.desktop /opt/gnome/share/gnome/apps/Applications/ravlin8.desktop
	else
	    install -d -m 755 -o 0 -g 0 /opt/gnome/share/gnome/apps/Applications/
	    install -m 644 -o 0 -g 0 $DIR_RC/ravlin8.desktop /opt/gnome/share/gnome/apps/Applications/ravlin8.desktop
    fi
else
   	if test -d /usr/share/gnome/apps/; then
       	    if test -d /usr/share/gnome/apps/Applications/; then
       		install -m 644 -o 0 -g 0 $DIR_RC/ravlin8.desktop /usr/share/gnome/apps/Applications/ravlin8.desktop
    	    else
		install -d -m 755 -o 0 -g 0 /usr/share/gnome/apps/Applications/
		install -m 644 -o 0 -g 0 $DIR_RC/ravlin8.desktop /usr/share/gnome/apps/Applications/ravlin8.desktop
	    fi
	fi   
fi
# end Gnome

ln -fs	$DIR_BIN/ravlin8		/usr/local/bin/ravlin8
ln -fs	$DIR_BIN/ravav			/usr/local/bin/ravav
exit 0